const sqlite3 = require('sqlite3').verbose();
const dbRoute = '/root/tea_project/rascunhos.db';

function aromasQueryDb(){
    let db = new sqlite3.Database(dbRoute, err =>{
        console.log(err)
    })
    return new Promise (resolve =>{
        db.all("SELECT DISTINCT * FROM aromas", (err, rows) =>{
            if(err){
                console.log("Something went wrong with the query");
            }
            resolve(rows) 
        })
    })
    db.close()
}

module.exports.aromasQueryDb = aromasQueryDb