const sqlite3 = require('sqlite3').verbose();


const dbRoute = '/root/tea_project/rascunhos.db';

function teteraQueryFixDb(){
    let db = new sqlite3.Database(dbRoute, err =>{
        console.log(err);
    })
    return new Promise (resolve =>{
        db.all("SELECT * FROM tetera_fix", (err, rows) =>{
            if(err){
                db.run('CREATE TABLE IF NOT EXISTS tetera_fix (producto text, precio_viejo real, precio_nuevo  real, variacion real, date text)');
                console.log("table had to be created")
                resolve("table had to be created")
            }
            db.run("UPDATE tetera_fix SET variacion = 0")
            resolve(rows) 
        })
    })
    db.close()
}

module.exports.teteraQueryFixDb = teteraQueryFixDb





