const sqlite3 = require('sqlite3').verbose();


const dbRoute = '/root/tea_project/rascunhos.db';

function teteraQueryDb(){
    let db = new sqlite3.Database(dbRoute, err =>{
        console.log(err)
    })
    return new Promise (resolve =>{
        db.all("SELECT DISTINCT * FROM tetera", (err, rows) =>{
            if(err){
                console.log("Something went wrong with the query");
                console.log(err)
            }
            resolve(rows) 
        })
    })
    db.close()
}

module.exports.teteraQueryDb = teteraQueryDb
