const puppeteer = require('puppeteer');

async function aromas() {

    sites = ['https://www.aromasdecafe.es/es/168-edulcorantes',
            'https://www.aromasdecafe.es/es/169-cafes-ecologicos',
            'https://www.aromasdecafe.es/es/171-cafes-de-latino-america', 
            'https://www.aromasdecafe.es/es/172-cafes-de-africa',
            'https://www.aromasdecafe.es/es/173-cafes-de-asia',
            'https://www.aromasdecafe.es/es/174-cafe-espresso',
            'https://www.aromasdecafe.es/es/175-cafe-verde',
            'https://www.aromasdecafe.es/es/176-cafe-en-capsulas',
            'https://www.aromasdecafe.es/es/170-cafes-aromatizados']
    //const browser = await puppeteer.launch(); esto funciona local
    const browser = await puppeteer.launch({
        ignoreDefaultArgs: ['--disable-extensions'],
        headless:true,
        args:['--no-sandbox']
      });
    const page = await browser.newPage();
    aux_str = ''    

    for(var i = 0; i<sites.length; i++){
        await page.goto(sites[i] + '?id_category=171&n=24', {waitUntil: 'domcontentloaded'})
        const brebajes = await page.evaluate((final) => {
            var final  = []
            var productos = document.getElementsByClassName("product_list grid row plist-default")[0]
                            .innerText.split('Añadir a la cesta').map(function(producto){ return producto.replace(/\n/g, ' ')})
            productos = productos.map((producto) =>{ return producto.trim()})
            productos.forEach((producto) =>{
                var dto = 'no'
                if (producto.indexOf('%') > -1){
                    dto = producto.slice(producto.lastIndexOf('-') + 1,)
                }
                var precio  = parseFloat(producto.slice(producto.lastIndexOf(' ', producto.indexOf('€') - 2), producto.indexOf('€')).replace(',','.').trim()).toFixed(2)
                var bien = producto.slice(0,(producto.lastIndexOf(' ', producto.indexOf('€') - 2))).trim()
                if (bien.length > 1){
                    //final.push('"producto":"'+ bien.toLocaleLowerCase()+'", "precio":"'+ precio +'", "dto":"'+dto+'"')
                    final.push('"producto":"'+ bien.toLocaleLowerCase()+'", "precio":'+ precio +', "dto":"'+dto+'"')
                }
            })
            final = final.join('},{')
            final = '{' + final + '},'
            return final

        });
       aux_str += brebajes

    }
    aux_str = '{ "café":[' + aux_str.slice(0, aux_str.length - 1) + ']}';
    var obj = JSON.parse(aux_str)
    await browser.close();

    return obj
    
    
};

module.exports.aromas = aromas